Subject: Re: bug#32390: 26.1; python.el: cleanup font lock buffer after input is sent

From: Carlos Pita <[email-masked]>
Date: Thu, 3 Jan 2019 02:43:13 -0300

Please take a look at the related
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=33959 since I've added a
patch there that fixes both this and other issue. The patch is
essentially the one above plus a fix for a strange interaction with
company that makes the output filter populate the font lock buffer
with spurious empty lines. Since both changes overlap I combined them
into a single patch (I provided a separated one also, if you prefer).